%global momorel 11

Summary: Ruby/GD
Name: ruby-GD
Version: 0.7.4
Release: %{momorel}m
Group: Development/Libraries
License: Ruby
URL: http://www.acc.ne.jp/~tam/GD/

%NoSource 0 http://tam.0xfa.com/ruby-gd/%{name}-%{version}-1.tar.gz 57d4da0a98ee47445e5fa1aa7252640a

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby
BuildRequires: ruby-devel >= 1.8.2
BuildRequires: libjpeg-devel
BuildRequires: freetype2-devel
BuildRequires: gd-devel

%description
Ruby/GD (formerly known as "GD") is an extension library to use
Thomas Boutell's gd library (http://www.boutell.com/gd/) from Ruby.
#'

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q 

%build
ruby extconf.rb --with-xpm --with-jpeg --with-freetype --with-ttf --enable-gd2_0
make

%install
rm -rf %{buildroot}
make sitedir=%{buildroot}/usr/lib/ruby install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes readme* doc sample
%{ruby_archdir}/GD.so

%changelog
* Thu Aug  3 2006 YAMAZAKI Makoto <zaki@zakky.org>
- (0.7.4-11m)
- added --with-ttf to configure argument because kagemai statistics requires TTF support

* Tue Jun 28 2005 Toru Hoshina <t@momonga-linux.org>
- (0.7.4-10m)
- avoid to use sitedir= at make phase.
- ruby_libdir should be /usr/lib/ruby/$ver/$arch-linux, is it right?

* Mon Feb 14 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.7.4-9m)
- disable --with-ttf

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.4-8m)
- rebuild against ruby-1.8.2

* Tue May 18 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.7.4-7m)
- add --with-ttf

* Wed Oct 22 2003 zunda <zunda at freeshell.org>
- (0.7.4-6m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.7.4-5m)
- merge from ruby-1_8-branch.

* Thu Jul 31 2003 Kenta MURATA <muraken2@nifty.com>
- (0.7.4-4m)
- rebuild against ruby-1.8.0.

* Tue Feb 11 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.7.4-3m)
  Source URI changed

* Mon Jan 20 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.4-2m)
- rebuild against for gd

* Mon Jan 20 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.4-1m)
- version 0.7.4
